## akonadi-search 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(AkonadiSearch)
set(PROJECT_VERSION "5.1.00")
set(KF5_VERSION "5.16.0")
# ECM setup
find_package(ECM 5.16.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core Test)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS I18n Config Crash KCMUtils Runner)

find_package(KF5Akonadi CONFIG)
set_package_properties(KF5Akonadi PROPERTIES
    DESCRIPTION "The KDEPIM libraries"
    URL "http://www.kde.org"
    TYPE REQUIRED
)

find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "http://xapian.org"
    TYPE REQUIRED
)

set(KF5AkonadiServer_MIN_VERSION "5.0.51")
find_package(KF5AkonadiServer ${KF5AkonadiServer_MIN_VERSION} CONFIG REQUIRED)

set(KDEPIMLIBS_LIB_VERSION "4.87.0")

set(KCONTACTS_LIB_VERSION "4.87.0")
set(KCALENDARCORE_LIB_VERSION "4.81.0")
set(KMIME_LIB_VERSION "4.85.0")


find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX AKONADISEARCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    SOVERSION 5
)

# Compiler flags
add_definitions(-DQT_NO_KEYWORDS)

# Turn exceptions on
kde_enable_exceptions()

include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}/xapian
  ${CMAKE_BINARY_DIR}/xapian
)

# Targets
add_subdirectory(xapian)
add_subdirectory(core)
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(akonadiplugin)
add_subdirectory(search)
add_subdirectory(debug)
add_subdirectory(runner)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiSearch")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiSearchConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5AkonadiSearchTargets
        NAMESPACE KF5::
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5AkonadiSearchTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

install( FILES akonadi-search.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== agent/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_baloo_indexer\")

kde_enable_exceptions()
include_directories(
    ${XAPIAN_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)


set(akonadi_indexing_agent_SRCS
    abstractindexer.cpp
    agent.cpp
    emailindexer.cpp
    contactindexer.cpp
    akonotesindexer.cpp
    calendarindexer.cpp
    collectionindexer.cpp
    priority.cpp
    scheduler.cpp
    collectionindexingjob.cpp
    index.cpp
    collectionupdatejob.cpp
)

ecm_qt_declare_logging_category(akonadi_indexing_agent_SRCS HEADER akonadi_indexer_agent_debug.h IDENTIFIER AKONADI_INDEXER_AGENT_LOG CATEGORY_NAME log_akonadi_indexer_agent)

qt5_add_dbus_adaptor(akonadi_indexing_agent_SRCS org.freedesktop.Akonadi.Indexer.xml agent.h AkonadiIndexingAgent)

add_executable(akonadi_indexing_agent ${akonadi_indexing_agent_SRCS})

target_link_libraries(akonadi_indexing_agent
    Qt5::Core
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    KF5::AkonadiAgentBase
    KF5::CalendarCore
    KF5::AkonadiSearchXapian
)

install(TARGETS akonadi_indexing_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES akonadiindexingagent.desktop
        DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

=== akonadiplugin/CMakeLists.txt ===
kde_enable_exceptions()

set(akonadi_search_plugin_SRCS searchplugin.cpp)
ecm_qt_declare_logging_category(akonadi_search_plugin_SRCS HEADER akonadiplugin_indexer_debug.h IDENTIFIER AKONADIPLUGIN_INDEXER_LOG CATEGORY_NAME log_akonadiplugin_indexer)

add_library(akonadi_search_plugin
 MODULE
    ${akonadi_search_plugin_SRCS}
)

target_link_libraries(akonadi_search_plugin
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::AkonadiSearchCore
    KF5::Contacts
)

install(TARGETS akonadi_search_plugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/akonadi)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== core/CMakeLists.txt ===
kde_enable_exceptions()

set(CORE_SRCS
    searchstore.cpp
    term.cpp
    query.cpp
    resultiterator.cpp
)

add_library(KF5AkonadiSearchCore ${CORE_SRCS})
add_library(KF5::AkonadiSearchCore ALIAS KF5AkonadiSearchCore)

target_link_libraries(KF5AkonadiSearchCore
    PUBLIC
    Qt5::Core
)

set_target_properties(KF5AkonadiSearchCore PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchCore
)
target_include_directories(KF5AkonadiSearchCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch>")

generate_export_header(KF5AkonadiSearchCore BASE_NAME AKONADI_SEARCH_CORE EXPORT_FILE_NAME search_core_export.h)

install(TARGETS KF5AkonadiSearchCore EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== lib/CMakeLists.txt ===
kde_enable_exceptions()
include_directories(
    ${XAPIAN_INCLUDE_DIR}
)

set(AKONADI_SEARCH_PIM_LIB_SRCS
    query.cpp
    resultiterator.cpp
    contactquery.cpp
    emailquery.cpp
    notequery.cpp
    contactcompleter.cpp
    collectionquery.cpp

    ../search/email/agepostingsource.cpp
)

add_library(KF5AkonadiSearchPIM ${AKONADI_SEARCH_PIM_LIB_SRCS})
add_library(KF5::AkonadiSearchPIM ALIAS KF5AkonadiSearchPIM)

generate_export_header(KF5AkonadiSearchPIM BASE_NAME AKONADI_SEARCH_PIM EXPORT_FILE_NAME search_pim_export.h)

target_link_libraries(KF5AkonadiSearchPIM
    PUBLIC
    Qt5::Core

    PRIVATE
    KF5::AkonadiCore
    ${XAPIAN_LIBRARIES}
)

set_target_properties(KF5AkonadiSearchPIM PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchPIM
)

target_include_directories(KF5AkonadiSearchPIM INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch>")

install(TARGETS KF5AkonadiSearchPIM EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    query.h
    contactquery.h
    emailquery.h
    contactcompleter.h
    notequery.h
    collectionquery.h

    resultiterator.h
    ${CMAKE_CURRENT_BINARY_DIR}/search_pim_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch/PIM
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== runner/CMakeLists.txt ===
ecm_qt_declare_logging_category(pimcontactsrunner_DEBUG HEADER akonadi_runner_debug.h
    IDENTIFIER AKONADI_KRUNNER_LOG
    CATEGORY_NAME log_akonadi_krunner_plugin
)

set(pimcontactsrunner_SRCS
    pimcontactsrunner.cpp
    ${pimcontactsrunner_DEBUG}
)

add_library(krunner_pimcontacts MODULE ${pimcontactsrunner_SRCS})
target_link_libraries(krunner_pimcontacts
    KF5::Runner
    KF5::AkonadiCore
    KF5AkonadiSearchPIM
    KF5::I18n
    KF5::Contacts
    KF5::Codecs
)

set(pimcontactsrunnerconfig_SRCS
    pimcontactsrunnerconfig.cpp
    ${pimcontactsrunner_DEBUG}
)

add_library(kcm_krunner_pimcontacts MODULE ${pimcontactsrunnerconfig_SRCS})
target_link_libraries(kcm_krunner_pimcontacts
    Qt5::Gui
    KF5::KCMUtils
    KF5::I18n
)


install(TARGETS krunner_pimcontacts
                kcm_krunner_pimcontacts
        DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES plasma-krunner-pimcontacts.desktop
              plasma-krunner-pimcontacts_config.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)

=== akonadiplugin/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(QT_REQUIRED_VERSION "5.2.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}/../../agent/
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

set(searchplugintest_SRCS
    searchplugintest.cpp
    ../searchplugin.cpp
    ../../agent/emailindexer.cpp
    ../../agent/calendarindexer.cpp
    ../../agent/contactindexer.cpp
    ../../agent/abstractindexer.cpp
    ../../agent/akonotesindexer.cpp
    ../../search/pimsearchstore.cpp
    ../../search/email/emailsearchstore.cpp
    ../../search/email/agepostingsource.cpp
    ../../search/contact/contactsearchstore.cpp
    ../../search/calendar/calendarsearchstore.cpp
    ../../search/note/notesearchstore.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../../agent/akonadi_indexer_agent_debug.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../akonadiplugin_indexer_debug.cpp
)

add_definitions(-DAKONADI_SEARCH_NO_PLUGINS=TRUE)

add_executable( searchplugintest ${searchplugintest_SRCS} )
add_test( searchplugintest searchplugintest )
ecm_mark_as_test(searchplugintest)

target_link_libraries(searchplugintest
    Qt5::Test
    KF5::AkonadiCore
    KF5::AkonadiMime
    KF5::Mime
    KF5::Contacts
    ${XAPIAN_LIBRARIES}
    KF5::CalendarCore
    KF5::AkonadiSearchPIM
    KF5::AkonadiSearchXapian
)

=== lib/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

macro(add_search_test name)
    ecm_add_test("${name}test.cpp"
                TEST_NAME "${test}"
                LINK_LIBRARIES Qt5::Core KF5::AkonadiCore KF5::AkonadiMime KF5::Mime KF5::Contacts KF5::AkonadiSearchPIM
    )
endmacro()

# FIXME: isolated test
#add_search_test(contactsearch)
add_search_test(emailquery)
add_search_test(contactcompletion)

## akonadi-search 15.08.2

=== debian/changelog ===
akonadi-search (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:45:11 +0100

akonadi-search (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:02:20 +0100

akonadi-search (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:53:23 +0100

akonadi-search (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:54:18 +0100

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               libboost-dev,
               libkf5akonadi-dev,
               libkf5akonadimime-dev,
               libkf5akonadiserver-dev,
               libkf5calendarcore-dev,
               libkf5config-dev,
               libkf5contacts-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5mime-dev,
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/akoandi-search
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akoandi-search.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akoandi-search.git

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev,
         libkf5akonadimime-dev,
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadiserver-dev,
         libkf5calendarcore-dev,
         libkf5contacts-dev,
         libkf5coreaddons-dev,
         libkf5mime-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearch-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearchcore5 (= ${binary:Version}) | libkf5akonadisearchxapian5 (= ${binary:Version}) | libkf5akonadisearchpim5 (= ${binary:Version}),
         ${misc:Depends}
Description: Akonadi search library - debug symbols
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5akonadisearch-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-search 15.12.3

=== debian/changelog ===
akonadi-search (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:45:13 -0700

akonadi-search (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Add missing dependency to krunner. 
  * Add new package for AkonadiSearchDebug
  * Add new files for above and krunner features. 
  * Add new symbols for akonadisearchdebug 
  * Add missing new files. 
  * Redo symbols file with pkgkde-symbolshelper. 
  * Loosen up the so version wildcard to fix install searchdebug.

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Require libkf5akonadi-dev >= 15.12 
  * Merge with debian git master
  * Refresh symbols

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. ( New merge to grab new changes ) 
  * Remove duplication of searchdebug 
  * Remove duplicate desktop files from the -bin package, they already 
    reside in -data. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:20:20 +0100

akonadi-search (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1). (Closes: #814378)
  * Update symbols files.
  * Fix typos in Vcs-* fields. (Closes: #814201) Thanks to Zhang
    Jingqiang
  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:55 +0100

akonadi-search (15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:37 +0100

akonadi-search (15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:13 +0200

akonadi-search (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:31 +0200

akonadi-search (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.
  * New patch: disable_failing_tests

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 21:14:21 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5akonadimime-dev (>= 4:15.12~),
               libkf5akonadiserver-dev (>= 15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5config-dev (>= 5.16.0~),
               libkf5contacts-dev (>= 15.12~),
               libkf5crash-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5kcmutils-dev (>= 5.16.0~),
               libkf5mime-dev (>= 15.12~),
               libkf5runner-dev (>= 5.16.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi-search.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi-search.git

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev,
         libkf5akonadimime-dev (>= 4.87.0~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 5.0.51~),
         libkf5calendarcore-dev (>= 4.81.0~),
         libkf5contacts-dev (>= 4.87.0~),
         libkf5coreaddons-dev,
         libkf5mime-dev (>= 4.85.0~),
         qtbase5-dev (>= 5.2.0~),
         ${misc:Depends}
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5akonadisearch-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/akonadi-search-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/akonadi-search-([\d.]+).tar.xz

## akonadi-search 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(AkonadiSearch)
-set(PROJECT_VERSION "5.1.00")
-set(KF5_VERSION "5.16.0")
+
 # ECM setup
-find_package(ECM 5.16.0 REQUIRED NO_MODULE)
+find_package(ECM 5.17.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,20 +13,25 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMAddTests)
 include(ECMQtDeclareLoggingCategory)
 
+
+set(AKONADISEARCH_VERSION "5.2.3")
+set(KF5_VERSION "5.19.0")
+
+set(AKONADI_VERSION "5.2.0")
+set(KDEPIMLIBS_LIB_VERSION "5.2.0")
+set(KCONTACTS_LIB_VERSION "5.2.0")
+set(KCALENDARCORE_LIB_VERSION "5.2.0")
+set(KMIME_LIB_VERSION "5.2.0")
+
+
 find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core Test)
 find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS I18n Config Crash KCMUtils Runner)
 
-find_package(KF5Akonadi CONFIG)
-set_package_properties(KF5Akonadi PROPERTIES
-    DESCRIPTION "The KDEPIM libraries"
-    URL "http://www.kde.org"
-    TYPE REQUIRED
-)
 
 find_package(Xapian CONFIG)
 set_package_properties(Xapian PROPERTIES
@@ -36,22 +40,13 @@
     TYPE REQUIRED
 )
 
-set(KF5AkonadiServer_MIN_VERSION "5.0.51")
-find_package(KF5AkonadiServer ${KF5AkonadiServer_MIN_VERSION} CONFIG REQUIRED)
-
-set(KDEPIMLIBS_LIB_VERSION "4.87.0")
-
-set(KCONTACTS_LIB_VERSION "4.87.0")
-set(KCALENDARCORE_LIB_VERSION "4.81.0")
-set(KMIME_LIB_VERSION "4.85.0")
-
-
+find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
 
-ecm_setup_version(${PROJECT_VERSION}
+ecm_setup_version(${AKONADISEARCH_VERSION}
     VARIABLE_PREFIX AKONADISEARCH
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_search_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSearchConfigVersion.cmake"

=== debian/changelog ===
akonadi-search (16.04.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (16.04.2-2).
  * Update build-deps and deps with the info from cmake

  [ Sandro Knauß ]
  * Added fix for Xapian 1.4 (Closes: #839990)
    fix_for_xapian_1.4.patch
    (got from upstream)
  * Add myself to Uploades.

 -- Sandro Knauß <hefee@debian.org>  Mon, 10 Oct 2016 19:38:04 +0200

akonadi-search (16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:51:17 +0200

akonadi-search (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 08:29:58 +0200

akonadi-search (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 17:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,44 +2,46 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.16.0~),
+               extra-cmake-modules (>= 5.23.0~),
                libboost-dev,
+               libical-dev,
                libkf5akonadi-dev (>= 4:15.12~),
                libkf5akonadimime-dev (>= 4:15.12~),
                libkf5akonadiserver-dev (>= 15.12~),
                libkf5calendarcore-dev (>= 4:15.12~),
-               libkf5config-dev (>= 5.16.0~),
+               libkf5config-dev (>= 5.23.0~),
                libkf5contacts-dev (>= 15.12~),
-               libkf5crash-dev (>= 5.16.0~),
-               libkf5i18n-dev (>= 5.16.0~),
-               libkf5kcmutils-dev (>= 5.16.0~),
+               libkf5crash-dev (>= 5.23.0~),
+               libkf5i18n-dev (>= 5.23.0~),
+               libkf5kcmutils-dev (>= 5.23.0~),
                libkf5mime-dev (>= 15.12~),
-               libkf5runner-dev (>= 5.16.0~),
+               libkf5runner-dev (>= 5.23.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi-search.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi-search.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-search.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/akonadi-search.git
 
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5akonadi-dev,
-         libkf5akonadimime-dev (>= 4.87.0~),
+Depends: libkf5akonadi-dev (>= 4:5.3.0~),
+         libkf5akonadimime-dev (>= 5.3.0~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadiserver-dev (>= 5.0.51~),
-         libkf5calendarcore-dev (>= 4.81.0~),
-         libkf5contacts-dev (>= 4.87.0~),
+         libkf5calendarcore-dev (>= 5.3.0~),
+         libkf5contacts-dev (>= 5.3.0~),
          libkf5coreaddons-dev,
-         libkf5mime-dev (>= 4.85.0~),
+         libkf5mime-dev (>= 5.3.0~),
          qtbase5-dev (>= 5.2.0~),
          ${misc:Depends}
 Description: Akonadi search library - development files
@@ -87,13 +89,6 @@
 Description: Akonadi search xapian library
  Internal library used to search in the Akonadi PIM data server.
 
-Package: libkf5akonadisearchdebug5
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Akonadi search debug library
- Internal library used to search in the Akonadi PIM data server.
-
 Package: libkf5akonadisearchcore5
 Architecture: any
 Multi-Arch: same
@@ -104,3 +99,10 @@
             libkf5akonadisearch-plugins (= ${binary:Version})
 Description: Akonadi search core library
  Internal library used to search in the Akonadi PIM data server.
+
+Package: libkf5akonadisearchdebug5
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Akonadi search debug library
+ Internal library used to search in the Akonadi PIM data server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5akonadisearch-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## akonadi-search 17.04.3

=== debian/changelog ===
akonadi-search (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:50 +0100

akonadi-search (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:34 +0100

akonadi-search (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Refresh symbols
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:39:37 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5akonadiserver-dev (>= 4:17.04.3~),
               libkf5calendarcore-dev (>= 4:17.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5runner-dev (>= 5.31.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5akonadimime-dev (>= 4:17.04.3~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 4:17.04.3~),
         libkf5calendarcore-dev (>= 4:17.04.3~),
         libkf5contacts-dev (>= 4:17.04.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5mime-dev (>= 17.04.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

## akonadi-search 17.12.2

=== debian/changelog ===
akonadi-search (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Update build-deps and deps with the info from cmake
  * Remove not needed Build-Deps.
  * Update copyright file.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Enable build tests (make them non-failing).
  * Add libkf5akonadisearchxapian5 as dependency for libkf5akonadisearch-
    dev
  * Bump debhelper build-dep and compat to 11.
  * Mark libkf5akonadisearch-dev as Multi-Arch: same.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:20 +0100

akonadi-search (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps. (Closes: #884291)
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:49:41 +0100

akonadi-search (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Add recommends for the akonadi indexer in the library that kdepim links against
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:11:47 +0200

akonadi-search (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:43 +0000

akonadi-search (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:09 +0000

akonadi-search (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:26 +0000

akonadi-search (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:08:45 +0000

akonadi-search (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:58 +0000

akonadi-search (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

akonadi-search (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:42 +0000

akonadi-search (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:25 +0000

akonadi-search (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:51 +0000

akonadi-search (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:44 +0000

akonadi-search (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:13 +0000

akonadi-search (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:51 +0000

akonadi-search (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:03 +0000

akonadi-search (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:50:49 +0000

akonadi-search (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:51:17 +0200

=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:17.12.2~),
               libkf5akonadimime-dev (>= 4:17.12.2~),
               libkf5calendarcore-dev (>= 4:17.12.2~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:17.12.2~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kcmutils-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 17.12.2~),
               libkf5runner-dev (>= 5.39.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.12.2~),
         libkf5akonadimime-dev (>= 4:17.12.2~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadisearchxapian5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:17.12.2~),
         libkf5contacts-dev (>= 4:17.12.2~),
         libkf5mime-dev (>= 17.12.2~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.
Breaks: kmail (<< 4:17.08)

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.
Breaks: kaddressbook (<< 4:17.08), kmail (<< 4:17.08), knotes (<< 4:17.08)

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version}),
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.
Breaks: knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5libkdepim5 (<< 4:17.08),
        libkf5messagelist5 (<< 4:17.08),

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.
